IF  EXISTS(SELECT * FROM SYSOBJECTS WHERE ID = OBJECT_ID('DF_EST_MOVIMENTO_COMPRAS_DS_MOV_OP'))		
begin	
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP CONSTRAINT DF_EST_MOVIMENTO_COMPRAS_DS_MOV_OP
end

IF  EXISTS(SELECT * FROM SYSOBJECTS WHERE ID = OBJECT_ID('DF_EST_MOVIMENTO_COMPRAS_VLR_COMPRAS'))		
begin
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP CONSTRAINT DF_EST_MOVIMENTO_COMPRAS_VLR_COMPRAS
end

IF  EXISTS(SELECT * FROM SYSOBJECTS WHERE ID = OBJECT_ID('DF_EST_MOVIMENTO_COMPRAS_VLR_DESC'))		
begin
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP CONSTRAINT DF_EST_MOVIMENTO_COMPRAS_VLR_DESC
end

IF  EXISTS(SELECT * FROM SYSOBJECTS WHERE ID = OBJECT_ID('DF_EST_MOVIMENTO_COMPRAS_VLR_ICMS_SUBS'))		
begin
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP CONSTRAINT DF_EST_MOVIMENTO_COMPRAS_VLR_ICMS_SUBS
end

IF  EXISTS(SELECT * FROM SYSOBJECTS WHERE ID = OBJECT_ID('DF_EST_MOVIMENTO_COMPRAS_VLR_FRETE'))		
begin
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP CONSTRAINT DF_EST_MOVIMENTO_COMPRAS_VLR_FRETE
end

IF  EXISTS(SELECT * FROM SYSOBJECTS WHERE ID = OBJECT_ID('DF_EST_MOVIMENTO_COMPRAS_VLR_IPI'))		
begin
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP CONSTRAINT DF_EST_MOVIMENTO_COMPRAS_VLR_IPI
end

IF  EXISTS(SELECT * FROM SYSOBJECTS WHERE ID = OBJECT_ID('DF_EST_MOVIMENTO_COMPRAS_VLR_COMPRAS_LIQ'))		
begin
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP CONSTRAINT DF_EST_MOVIMENTO_COMPRAS_VLR_COMPRAS_LIQ
end

IF  EXISTS(SELECT * FROM SYSOBJECTS WHERE ID = OBJECT_ID('DF_EST_MOVIMENTO_COMPRAS_TIPO_TRANSACAO'))		
begin
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP CONSTRAINT DF_EST_MOVIMENTO_COMPRAS_TIPO_TRANSACAO
end

IF  EXISTS(SELECT * FROM SYSOBJECTS WHERE ID = OBJECT_ID('DF_EST_MOVIMENTO_COMPRAS_VLR_OUTRAS_DESPESAS'))		
begin
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP CONSTRAINT DF_EST_MOVIMENTO_COMPRAS_VLR_OUTRAS_DESPESAS
end

IF  EXISTS(SELECT * FROM SYSOBJECTS WHERE ID = OBJECT_ID('DF_EST_MOVIMENTO_COMPRAS_VLR_ICMS_DESONERADO'))		
begin
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP CONSTRAINT DF_EST_MOVIMENTO_COMPRAS_VLR_ICMS_DESONERADO
end

IF EXISTS (SELECT * FROM SYS.COLUMNS  WHERE NAME = 'DS_MOV_OP'  AND OBJECT_ID = OBJECT_ID('EST_MOVIMENTO_VENDAS'))
begin
ALTER TABLE dbo.EST_MOVIMENTO_COMPRAS
	DROP COLUMN DS_MOV_OP, VLR_COMPRAS, VLR_DESC, VLR_ICMS_SUBS, VLR_FRETE, VLR_IPI, VLR_COMPRAS_LIQ, DS_TIPO_TRANSACAO, VLR_OUTRAS_DESPESAS, VLR_ICMS_DESONERADO
end